Overview
GET
/chat/chat-plugins/{id}chatGet chat_plugins by id
Fetch a record from chat-plugins by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
chat_plugins
- idstring
- ecosystemIdstring
- messageIdstring
- kindstring
- statestring
- configstring
- stateDatastring
- expiresAtstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"messageId": "string",
"kind": "string",
"state": "string",
"config": "string",
"stateData": "string",
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/chat-plugins/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-plugins/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();